<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Role Management</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-2">
                  <button type="submit" class="btn btn-sm btn-primary blue" [routerLink]="['/admin/role-management/add-role']"><i aria-hidden="true" class="fa fa-plus"></i> Add new role</button>
                </div>
                <div class="col-sm-3 col-md-3 text-center" *ngIf="disabledCompany">
                  <mat-select [(ngModel)]="company_id_list" (change)="setCompanyList($event);" placeholder="Company"
                      class="form-control" multiple>
                      <mat-option *ngFor="let company of companyData" [value]="company._id">{{company.company_name}}
                      </mat-option>
                  </mat-select>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
                  <thead>
                    <tr>
                      <th scope="col">
                        Role
                      </th>
                      <th scope="col" class="text-right">
                        Access Control Permissions
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let acl of aclList">
                      <td>
                        {{acl.role}}
                      </td>
                      <td class="text-right">
                        <button type="submit" class="btn btn-sm btn-primary green" [routerLink]="['/admin/role-management/access-permissions/', acl._id, acl.company_id]">Add Permissions</button>
                        <ng-container *ngIf="disabledDelete">
                            <button type="submit" class="btn btn-sm btn-primary red" (click)="openDialog(acl._id)">Delete</button>
                        </ng-container>
                      </td>
                    </tr>
                  </tbody>
                </table>
                <br>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
